Lotto Generator & -Simulator

  • Da sich die Softwareprojekten immer weiter entwickeln und neuen Funktionen eingearbeitet werden. Gibt es immer wieder Veränderungen an den Schnittstellen. So war bei Wechsel auf die Python (Programmiersprache) Version 3 vor paar Jahren. Und jetzt steht der Wechsel von Qt4 auf Qt5 an. Qt ist ein Framework für die Benutzeroberfläche.


    Bis pyLottoSimu Version 1.4 läuft mit Qt4 ab 1.5 mit Qt5, aber wenn Qt5 nicht installiert ist mit Qt4.


    15. Juni 2015
    pyLottoSimu kann nur noch mit pyQt5 gestartet werden. Qt ist eine Klassenbibliothek des Grafische Toolkit der das eigentliche Fenster zeichnet. Qt in der Version 4 gibt es seit 2005, die Version 5 seit 2012.


    Der Grund ist hauptsächlich das ich keine einfache Möglichkeit haben den Code mit pyQt4 zu testen. Weitere Gründe sind das pyQ5 moderner ist und weiterentwickelt wird, was bei Qt4 nicht der Fall ist. Es war eine Frage der Zeit wann das sein würde. Auf dem pyLottoSimu Gitter-Kanal habe ich es am 24.6.2015 bekannt gegeben.


    Die letzte startbare pyLottoSimu Version mit pyQt4 ist die Version 1.6 auf Github 76e4f43ce87ba1d4724c53c2820b23f61f58cc75 vom 12. Juni 2015.


    17.9.2015:
    es ist möglich das Programm mit pyside zu starten, wenn pyQt5 nicht installiert ist. Aber der Programmcode für pyside wird nicht getestet und wenn es eine Fehlermeldung gibt, bitte Bescheid geben.

  • Zu dieser Software schreibt MarkusH nun Updates in seinem speziellen Sonderbereich.


    Es geht weiter unter pyLottoSimu


    Damit ihr nicht lange nach den anderen interessanten Themen suchen müsst, legen wir eine Themenkopie in seinem Sonderbereich ab.